Name:           perl-Module-ScanDeps
Version:        1.31
Release:        1
Summary:        Recursively scan Perl code for dependencies
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Module-ScanDeps

Source0:        https://cpan.metacpan.org/authors/id/R/RS/RSCHUPP/Module-ScanDeps-%{version}.tar.gz 

BuildArch:      noarch 
BuildRequires:  make perl-interpreter perl-generators perl(ExtUtils::MakeMaker) >= 6.76 perl(strict)
BuildRequires:  perl(warnings) perl(B) perl(Config) perl(constant) perl(Cwd) perl(Data::Dumper) perl(DynaLoader)
BuildRequires:  perl(Encode) perl(Exporter) perl(File::Basename) perl(File::Find) perl(File::Path)
BuildRequires:  perl(File::Spec) perl(File::Temp) perl(FileHandle) perl(Module::Metadata) perl(vars) perl(version)
BuildRequires:  perl(autouse) perl(if) perl(lib) perl(Test::More) perl(Test::Requires)
BuildRequires:  perl(Test::Pod) >= 1.00
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
Requires:       perl(B) perl(DynaLoader) perl(Data::Dumper) perl(Encode) perl(File::Find) perl(Text::ParseWords) 
Recommends:     perl(Digest::MD5) perl(Storable) 
Suggests:       perl(CPANPLUS::Backend)

%description
This module scans potential modules used by perl programs, and returns a hash reference; its keys are the module 
names as appears in %INC (e.g. Test/More.pm); the values are hash references.

%package_help

%prep
%autosetup -n Module-ScanDeps-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}

%check
make test

%files
%defattr(-,root,root)
%doc AUTHORS README
%license LICENSE
%{_bindir}/scandeps.pl
%{perl_vendorlib}/Module/

%files help
%defattr(-,root,root)
%doc Changes
%{_mandir}/man1/scandeps.pl.1*
%{_mandir}/man3/Module::ScanDeps.3pm*

%changelog
* Tue Jun 14 2022 SimpleUpdate Robot <tc@openeuler.org> - 1.31-1
- Upgrade to version 1.31

* Fri Jan 10 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.27-6
- Package init
